• R/O
  • HTTP
  • SSH
  • HTTPS

shogi-server: コミット

shogi-server source


コミットメタ情報

リビジョン1299898deae40cf1adef125eb719c91ca962a535 (tree)
日時2014-11-24 21:33:47
作者Daigo Moriwaki <daigo@debi...>
コミッターDaigo Moriwaki

ログメッセージ

Ruby 2.0.0 or later is recommended to use with shogi-server since Ruby 1.8 reached its End-of-Life on the end of July, 2014.

変更サマリ

差分

--- a/changelog
+++ b/changelog
@@ -1,3 +1,9 @@
1+2014-11-24 Daigo Moriwaki <daigo at debian dot org>
2+
3+ * Ruby 2.0:
4+ - Ruby 2.0.0 or later is recommended to use with shogi-server
5+ since Ruby 1.8 reached its End-of-Life on the end of July, 2014.
6+
17 2014-07-19 Daigo Moriwaki <daigo at debian dot org>
28
39 * [mk_rate]
--- a/csa-file-filter
+++ b/csa-file-filter
@@ -1,4 +1,4 @@
1-#!/usr/bin/ruby1.9.1
1+#!/usr/bin/ruby
22 # $Id$
33 #
44 # Author:: Daigo Moriwaki
@@ -50,9 +50,9 @@
5050 #
5151 # Sample Command lines that isntall prerequires will work on Debian.
5252 #
53-# * Ruby 1.9.3 or 1.8.7 including RDoc
53+# * Ruby 2.0.0 or later including RDoc
5454 #
55-# $ sudo aptitude install ruby ruby1.9.1
55+# $ sudo aptitude install ruby ruby
5656 #
5757 # == Example
5858 #
--- a/mk_game_results
+++ b/mk_game_results
@@ -1,4 +1,4 @@
1-#!/usr/bin/ruby1.9.1
1+#!/usr/bin/ruby
22 # $Id$
33 #
44 # Author:: Daigo Moriwaki
@@ -35,9 +35,9 @@
3535 #
3636 # Sample Command lines that isntall prerequires will work on Debian.
3737 #
38-# * Ruby 1.9.3 or 1.8.7
38+# * Ruby 2.0.0 or later
3939 #
40-# $ sudo aptitude install ruby1.9.1
40+# $ sudo aptitude install ruby
4141 #
4242 # == Run
4343 #
--- a/mk_html
+++ b/mk_html
@@ -1,4 +1,4 @@
1-#!/usr/bin/ruby1.9.1
1+#!/usr/bin/ruby
22 # $Id$
33 #
44 # Author:: Daigo Moriwaki
@@ -41,9 +41,9 @@
4141 #
4242 # == Prerequire
4343 #
44-# * Ruby 1.9.3 or 1.8.7
44+# * Ruby 2.0.0 or later
4545 #
46-# $ sudo aptitude install ruby ruby1.9.1
46+# $ sudo aptitude install ruby ruby
4747 #
4848 # == Example
4949 #
--- a/mk_rate
+++ b/mk_rate
@@ -1,4 +1,4 @@
1-#!/usr/bin/ruby1.9.1
1+#!/usr/bin/ruby
22 # $Id$
33 #
44 # Author:: Daigo Moriwaki
@@ -76,9 +76,9 @@
7676 #
7777 # Sample Command lines that install prerequires will work on Debian.
7878 #
79-# * Ruby 1.9.3 or 1.8.7 (including Rubygems)
79+# * Ruby 2.0.0 or later (including Rubygems)
8080 #
81-# $ sudo aptitude install ruby1.9.1
81+# $ sudo aptitude install ruby
8282 #
8383 # * Ruby bindings for the GNU Scientific Library (GSL[http://rb-gsl.rubyforge.org/])
8484 #
@@ -86,7 +86,7 @@
8686 #
8787 # * RGL: {Ruby Graph Library}[http://rubyforge.org/projects/rgl/]
8888 #
89-# $ sudo gem1.9.1 install rgl
89+# $ sudo gem install rgl
9090 #
9191 # == Examples
9292 #
--- a/shogi-server
+++ b/shogi-server
@@ -1,4 +1,4 @@
1-#! /usr/bin/ruby1.9.1
1+#! /usr/bin/ruby
22 # $Id$
33 #
44 # Author:: NABEYA Kenichi, Daigo Moriwaki
--- a/shogi-server-profile
+++ b/shogi-server-profile
@@ -1,4 +1,4 @@
1-#! /usr/bin/ruby1.9.1
1+#! /usr/bin/ruby
22 # $Id$
33 #
44 # Author:: Daigo Moriwaki
@@ -38,7 +38,7 @@
3838 #
3939 # * {ruby-prof}[http://rubyforge.org/projects/ruby-prof/]
4040 #
41-# $ sudo gem1.9.1 install ruby-prof
41+# $ sudo gem install ruby-prof
4242 #
4343 # == Run
4444 #
--- a/utils/statistics.rb
+++ b/utils/statistics.rb
@@ -1,4 +1,4 @@
1-#!/usr/bin/ruby1.9.1
1+#!/usr/bin/ruby
22 # This program shows statistics of CSA kifu files like following:
33 # - Monthly #games and #players
44 # - Game results
--- a/webserver
+++ b/webserver
@@ -1,4 +1,4 @@
1-#!/usr/bin/ruby1.9.1
1+#!/usr/bin/ruby
22
33 ## Copyright (C) 2007-2012 Daigo Moriwaki <daigo at debian dot org>
44 ##
旧リポジトリブラウザで表示